#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

//////////////////////////////////

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>
///////////////////////////////////



#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "../../../../lib/chon100.h"

/*        window_editline*/
#define EDITLINE_TITLE          1
#define EDITLINE_BOTTOM         2

/*        window_editnumber*/
#define EDITNUMBER_FEED         1
#define EDITNUMBER_RETURNSUM    2
#define EDITNUMBER_SALESSUM     3
#define EDITNUMBER_SALESCOUNT   4
#define EDITNUMBER_SALEINKL     5




struct sale_prop{
  char *name;
  float price;
  float count;
  int department;
};

GtkWidget   *dialog, *window_print, *window_sale, *window_checkparam,
            *window_editnumber, *window_editline, *window_database;

int NumberComm =  1;	//   
char editline[19];	//     window_editline
char editprop; 		//    
char editpropnumber; 	//     
int editnumber;		//     window_editnumber

char checknal; 		//   (1)  (0)
char checktype; 	//    (0)   (1)
char salecountline; 	//     
int checkdiscount; 	//    
float checknalsum;	//  


struct sale_prop sale_current;

/*
GtkWidget *label_info_number;
GtkWidget *label_info;
GtkWidget *label_window_database_type;
GtkWidget *clist_window_database_sales;
GtkWidget *label_window_database_info;
GtkWidget *button_window_database_close;
*/


extern GtkWidget *label_info;
extern GtkWidget *label_info_number;
extern GtkWidget *label_window_database_type;
extern GtkWidget *clist_window_database_sales;
extern GtkWidget *label_window_database_info;
extern GtkWidget *button_window_database_close;


char *InfoMsg = "       'ConnectKKM'.      ' ',      .        -.       .";


GtkWidget* window_msg (gchar *msg)
{
  GtkWidget *window_msg;
  GtkWidget *frame1;
  GtkWidget *vbox8;
  GtkWidget *label13;
  GtkWidget *label12;
  GtkWidget *button_close;

  window_msg = gtk_window_new (GTK_WINDOW_POPUP);
  gtk_widget_set_name (window_msg, "window_msg");
  gtk_object_set_data (GTK_OBJECT (window_msg), "window_msg", window_msg);
  GTK_WIDGET_SET_FLAGS (window_msg, GTK_CAN_FOCUS);
  gtk_widget_set_extension_events (window_msg, GDK_EXTENSION_EVENTS_ALL);
  gtk_window_set_title (GTK_WINDOW (window_msg), _(""));
  gtk_window_set_position (GTK_WINDOW (window_msg), GTK_WIN_POS_CENTER);
  gtk_window_set_modal (GTK_WINDOW (window_msg), TRUE);
  gtk_window_set_policy (GTK_WINDOW (window_msg), TRUE, TRUE, TRUE);

  frame1 = gtk_frame_new (NULL);
  gtk_widget_set_name (frame1, "frame1");
  gtk_widget_ref (frame1);
  gtk_object_set_data_full (GTK_OBJECT (window_msg), "frame1", frame1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame1);
  gtk_container_add (GTK_CONTAINER (window_msg), frame1);

  vbox8 = gtk_vbox_new (TRUE, 15);
  gtk_widget_set_name (vbox8, "vbox8");
  gtk_widget_ref (vbox8);
  gtk_object_set_data_full (GTK_OBJECT (window_msg), "vbox8", vbox8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox8);
  gtk_container_add (GTK_CONTAINER (frame1), vbox8);
  gtk_container_set_border_width (GTK_CONTAINER (vbox8), 5);

  label13 = gtk_label_new (_(""));
  gtk_widget_set_name (label13, "label13");
  gtk_widget_ref (label13);
  gtk_object_set_data_full (GTK_OBJECT (window_msg), "label13", label13,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label13);
  gtk_box_pack_start (GTK_BOX (vbox8), label13, FALSE, FALSE, 0);

  label12 = gtk_label_new (_(msg));
  gtk_widget_set_name (label12, "label12");
  gtk_widget_ref (label12);
  gtk_object_set_data_full (GTK_OBJECT (window_msg), "label12", label12,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label12);
  gtk_box_pack_start (GTK_BOX (vbox8), label12, FALSE, FALSE, 0);

  button_close = gtk_button_new_with_label (_("OK"));
  gtk_widget_set_name (button_close, "button_close");
  gtk_widget_ref (button_close);
  gtk_object_set_data_full (GTK_OBJECT (window_msg), "button_close", button_close,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button_close);
  gtk_box_pack_start (GTK_BOX (vbox8), button_close, FALSE, FALSE, 0);

  gtk_signal_connect (GTK_OBJECT (button_close), "clicked",
                      GTK_SIGNAL_FUNC (on_button_close_clicked),
                      NULL);
return window_msg;
}


void
on_window_main_destroy_event           (GtkObject       *object,
                                        gpointer         user_data)
{
  gtk_main_quit();

}



/*unction to open a dialog box displaying the message provided.*/

void quick_message (gchar *message) {
   dialog = window_msg(message);
   gtk_widget_show (dialog);
}



void
on_button_connect_clicked              (GtkButton       *button,
                   gpointer         user_data)
{
  if (ConnectKKM(NumberComm))  quick_message("  ");
  else quick_message(GetErrorMsg());
}

void
on_button_close_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  gtk_widget_destroy(dialog);
}

void
on_button_print_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
  int ires;

  gtk_label_set_text (label_info, "         -.         ''");

  while (gtk_events_pending()) gtk_main_iteration();

  ires = PrintCheck();

  gtk_label_set_text (label_info, InfoMsg);

  if (!ires) {
  	if (!GetErrorCode())quick_message("   ");
	else quick_message(GetErrorMsg());
  }
}


void
on_combo_entry1_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
  char *s;
  s = gtk_entry_get_text(GTK_ENTRY(editable));
  NumberComm = atoi(&s[3]);
}



void
on_button_addsale_clicked              (GtkButton       *button,
                                        gpointer         user_data)
{

  sale_current.name =" ";
  sale_current.price = 25.50;
  sale_current.count = 1.000;
  sale_current.department = 1;

  window_sale = create_window_sale();
  gtk_widget_show (window_sale);
  gtk_grab_add(window_sale);
}


void
on_button_window_sale_ok_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
  gtk_grab_remove(window_sale);
  gtk_widget_destroy(window_sale);
  if (!cbAddSale(sale_current.name, sale_current.price, sale_current.count, sale_current.department)) quick_message(GetErrorMsg());
}


void
on_button_window_sale_cancel_clicked   (GtkButton       *button,
                                        gpointer         user_data)
{
  gtk_grab_remove(window_sale);
  gtk_widget_destroy(window_sale);
}


void
on_entry_sale_changed                  (GtkEditable     *editable,
                                        gpointer         user_data)
{
    sale_current.name = gtk_entry_get_text(GTK_ENTRY(editable));
}


void
on_entry_salecount_changed             (GtkEditable     *editable,
                                        gpointer         user_data)
{
  sscanf(gtk_entry_get_text(GTK_ENTRY(editable)), "%f", &sale_current.count);
}


void
on_spinbutton_depatment_changed        (GtkEditable     *editable,
                                        gpointer         user_data)
{
  sale_current.department= atoi(gtk_entry_get_text(GTK_ENTRY(editable)));
}


void
on_entry_window_sale_price_changed     (GtkEditable     *editable,
                                        gpointer         user_data)
{
  sscanf(gtk_entry_get_text(GTK_ENTRY(editable)), "%f", &sale_current.price);
}


void
on_window_print_show                   (GtkWidget       *widget,
                                        gpointer         user_data)
{

}


void
on_button_clClearTitle_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
    cbClearTitle();
}


void
on_button_cbClearBottom_clicked        (GtkButton       *button,
                                        gpointer         user_data)
{
    cbClearBottom();
}


void
on_button_cbClearSales_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
    cbClearSales();
}


void
on_button_cbAddTitleLine_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
  editline[0] = '\0';
  editprop = EDITLINE_TITLE;
  window_editline = create_window_editline();
  gtk_widget_show (window_editline);
  gtk_grab_add(window_editline);
}


void
on_button_cbAddBottomLine_clicked      (GtkButton       *button,
                                        gpointer         user_data)
{
  editline[0] = '\0';
  editprop = EDITLINE_BOTTOM;
  window_editline = create_window_editline();
  gtk_widget_show (window_editline);
  gtk_grab_add(window_editline);
}


void
on_button_GetTitle_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
  int len, i, count;
  char ResultStr[256];
  char TempLine[256];
  char *s;


  count = cbGetTitleLinesCount(); //   

  ResultStr[0]='\0';


  for (i=1;i<=count;i++){
      if (!cbGetTitleLine(i, TempLine)){  // 
          quick_message(GetErrorMsg());
          return;
      }
      len = strlen(ResultStr);
      if(!len) s = ResultStr;
      else {
          ResultStr[len]='\n';  
          s = &ResultStr[len+1];
      }
      strcpy(s, TempLine);
  }
  quick_message(ResultStr);
    
}


void
on_button_getbottom_clicked            (GtkButton       *button,
                                        gpointer         user_data)
{
    int len, i, count;
    char ResultStr[256];
    char TempLine[256];
    char *s;


    count = cbGetBottomLinesCount(); //  

    ResultStr[0]='\0';


    for (i=1;i<=count;i++){
        if (!cbGetBottomLine(i, TempLine)){  // 
            quick_message(GetErrorMsg());
            return;
        }
        len = strlen(ResultStr);
        if(!len) s = ResultStr;
        else {
            ResultStr[len]='\n';  
            s = &ResultStr[len+1];
        }
        strcpy(s, TempLine);
    }
    quick_message(ResultStr);

}


void
on_button_getdatabase_clicked          (GtkButton       *button,
                                        gpointer         user_data)
{
  int SaleCount = cbGetSalesCount();
  int i, Section;
  char Name[25], SPrice[25], SQty[25], SSection[25], SDiscount[25];
  double Price, Qty;
  gchar *listrec[4] = {NULL,    NULL,  NULL, NULL };
  char s[256];

  listrec[0]=SSection;
  listrec[1]=Name;
  listrec[2]=SPrice;
  listrec[3]=SQty;


  window_database = create_window_database();

  gtk_clist_clear(clist_window_database_sales);

  for (i=1; i<=SaleCount; i++){
      if (!cbGetSale(i, Name, &Price, &Qty, &Section)){
	    quick_message(GetErrorMsg());
      	return;
      }
      sprintf(SSection, "%i", Section);
      sprintf(SPrice, "%.2f", Price);
      sprintf(SQty, "%.3f", Qty);

      gtk_clist_append( clist_window_database_sales, listrec);
  }

  if (cbGetReturnMode()) sprintf(s, "    %.2f p", cbGetSum());
  else sprintf(s, "    %.2f p", cbGetSum());
  gtk_label_set_text(label_window_database_type, s);

  strcpy(s," : ");;
  if (cbGetCreditMode()) strcat(s, " ");
  else strcat(s, " ");
  strcat(s, "/  : ");
  if (GetDiscountMode()) {
     sprintf(SDiscount,	"%i", cbGetDiscountValue());
     strcat(s, SDiscount);
  }
  else strcat(s, "");

  gtk_label_set_text(label_window_database_info, s);

  gtk_widget_show (window_database);
  gtk_grab_add(window_database);

}


void
on_button_checkparam_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
   checknal = 0; 		//   (1)  (0)
   checktype = 0; 		//    (0)   (1)
   salecountline = 1; 	//     
   checkdiscount = 0; 		//    
   checknalsum = 100.0;	//  

   window_checkparam = create_window_checkparam();
   gtk_widget_show (window_checkparam);
   gtk_grab_add(window_checkparam);
}


void
on_button_GetBroughtSum_clicked        (GtkButton       *button,
                                        gpointer         user_data)
{
  double d;
  char s[255];
  if (!GetBroughtSum(&d)) quick_message(GetErrorMsg());
  else {
      sprintf(s, "  = %.2f p.", d);
      quick_message(s);
  }
}


void
on_button_GetRemovedSum_clicked        (GtkButton       *button,
                                        gpointer         user_data)
{
    double d;
    char s[255];
    if (!GetRemovedSum(&d)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "    = %.2f p.", d);
        quick_message(s);
    }
}


void
on_button_GetRemovedQty_clicked        (GtkButton       *button,
                                        gpointer         user_data)
{
    int i;
    char s[255];
    if (!GetRemovedQty(&i)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "     = %i", i);
        quick_message(s);
    }
}


void
on_button_GetReturnedSum_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
    double d;
    char s[255];
    if (!GetReturnedSum(&d)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "    = %.2f p.", d);
        quick_message(s);
    }

}


void
on_button_GetCashSum_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
    double d;
    char s[255];
    if (!GetCashSum(&d)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "    = %.2f p.", d);
        quick_message(s);
    }
}


void
on_button_GetSalesSumWithNDEC_clicked  (GtkButton       *button,
                                        gpointer         user_data)
{
    double d;
    char s[255];
    if (!GetSalesSumWithNDEC(&d)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "  = %.2f p.", d);
        quick_message(s);
    }
}


void
on_button_GetSalesSumWithoutNDEC_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data)
{
    double d;
    char s[255];
    if (!GetSalesSumWithoutNDEC(&d)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "    /,    = %.2f p.", d);
        quick_message(s);
    }
}


void
on_button_GetReturnedSumOnSection_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data)
{

    editpropnumber = EDITNUMBER_RETURNSUM;
    editnumber = 1;
    window_editnumber = create_window_editnumber();
    gtk_label_set_text (label_info_number, _("  "));
    gtk_widget_show (window_editnumber);
    gtk_grab_add(window_editnumber);
}


void
on_button_GetSalesSumOnSection_clicked (GtkButton       *button,
                                        gpointer         user_data)
{
    editpropnumber = EDITNUMBER_SALESSUM;
    editnumber = 1;
    window_editnumber = create_window_editnumber();
    gtk_label_set_text (label_info_number, _("  "));
    gtk_widget_show (window_editnumber);
    gtk_grab_add(window_editnumber);
}


void
on_button_GetSaleCountOnSection_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data)
{
    editpropnumber = EDITNUMBER_SALESCOUNT;
    editnumber = 1;
    window_editnumber = create_window_editnumber();
    gtk_label_set_text (label_info_number, _("  "));
    gtk_widget_show (window_editnumber);
    gtk_grab_add(window_editnumber);

}


void
on_button_GetNI_clicked                (GtkButton       *button,
                                        gpointer         user_data)
{
    double d;
    char s[255];
    if (!GetNI(&d)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "  = %.2f p.", d);
        quick_message(s);
    }
}


void
on_button_GetSaleNum_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{
    int i;
    char s[255];
    if (!GetSaleNum(&i)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "       = %i", i);
        quick_message(s);
    }
}


void
on_button_ReadSaleFromKL_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
  editnumber = 1;
  editpropnumber = EDITNUMBER_SALEINKL;
  window_editnumber = create_window_editnumber();
  gtk_label_set_text (label_info_number, _("  "));
  gtk_widget_show (window_editnumber);
  gtk_grab_add(window_editnumber);
}


void
on_button_GetKKMNum_clicked            (GtkButton       *button,
                                        gpointer         user_data)
{
    int i;
    char s[255];
    if (!GetKKMNum(&i)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "   = %i", i);
        quick_message(s);
    }
}


void
on_button_GetKKMVers_clicked           (GtkButton       *button,
                                        gpointer         user_data)
{   
    char s[256];
    float f = (float)GetKKMVers()/10;
    sprintf(s, "   = %.2f", f);
    quick_message(s);
}


void
on_button_GetKLNum_clicked             (GtkButton       *button,
                                        gpointer         user_data)
{
    int i;
    char s[255];
    if (!GetKLNum(&i)) quick_message(GetErrorMsg());
    else {
        sprintf(s, "    = %i", i);
        quick_message(s);
    }
}


void
on_button_RepeatCheck_clicked          (GtkButton       *button,
                                        gpointer         user_data)
{
    if (!RepeatCheck()) quick_message(GetErrorMsg());
}


void
on_button_Lock_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
      if (!Lock()) quick_message(GetErrorMsg());
}


void
on_button_ClearIndicator_clicked       (GtkButton       *button,
                                        gpointer         user_data)
{
    if (!ClearIndicator()) quick_message(GetErrorMsg());
}


void
on_button_UnLock_clicked               (GtkButton       *button,
                                        gpointer         user_data)
{
    if (!UnLock()) quick_message(GetErrorMsg());
}


void
on_button_Feed_clicked                 (GtkButton       *button,
                                        gpointer         user_data)
{
  editnumber = 1;
  editpropnumber = EDITNUMBER_FEED;
  window_editnumber = create_window_editnumber();
  gtk_label_set_text (label_info_number, _("   "));
  gtk_widget_show (window_editnumber);
  gtk_grab_add(window_editnumber);
}


void
on_button_PrintBarCode_clicked         (GtkButton       *button,
                                        gpointer         user_data)
{
  if (!PrintBarCode("210000307345",1)) quick_message(GetErrorMsg());
  if (!Feed(3)) quick_message(GetErrorMsg());
  if (!PrintBarCode("210000307345",0)) quick_message(GetErrorMsg());
  if (!Feed(10)) quick_message(GetErrorMsg());
}


void
on_button_window_checkparam_cancel_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data)
{
    gtk_grab_remove(window_checkparam);
    gtk_widget_destroy(window_checkparam);
}


void
on_button_window_checkparam_ok_clicked (GtkButton       *button,
                                        gpointer         user_data)
{

    gtk_grab_remove(window_checkparam);
    gtk_widget_destroy(window_checkparam);

  //      

  cbSetReturnMode(checktype);
  cbSetCreditMode(checknal);
  
  if (!cbSetCash(checknalsum)){
      quick_message(GetErrorMsg());
      return;
  }
  if (!cbSetDiscountValue(checkdiscount)){
      quick_message(GetErrorMsg());
      return;
  }

    if (!cbSetLinesInSale(salecountline)){
      quick_message(GetErrorMsg());
      return;
    }
}


/******************************************************************/
/*             Widget                 */
/******************************************************************/
void
on_button_window_editnumber_ok_clicked (GtkButton       *button,
                                        gpointer         user_data)
{
    double d;
    char s[256];
    int i, i1, i2;

    gtk_grab_remove(window_editnumber);
    gtk_widget_destroy(window_editnumber);
    switch (editpropnumber){
    	// 
    	case EDITNUMBER_FEED:{
		if (!Feed(editnumber)) {
			quick_message(GetErrorMsg());
			return;
		}
		break;
	}

	case EDITNUMBER_RETURNSUM:{
  		if (!GetReturnedSumOnSection(editnumber, &d)) {
			quick_message(GetErrorMsg());
			return;
		}
        	sprintf(s, "    %i = %.2f p.", editnumber, d);
        	quick_message(s);
		break;
	}
	case EDITNUMBER_SALESSUM:{
  		if (!GetSalesSumOnSection(editnumber, &d)) {
			quick_message(GetErrorMsg());
			return;
		}
        	sprintf(s, "    %i = %.2f p.", editnumber, d);
        	quick_message(s);
		break;
	}
	case EDITNUMBER_SALESCOUNT:{
  		if (!GetSaleCountOnSection(editnumber, &i)) {
			quick_message(GetErrorMsg());
			return;
		}
        	sprintf(s, "    %i = %i", editnumber, i);
        	quick_message(s);
		break;
	}

 	case EDITNUMBER_SALEINKL:
  		if (!ReadSaleFromKL(editnumber, &i, &i1, &i2, &d)) {
			quick_message(GetErrorMsg());
			return;
		}
        	sprintf(s, " %i     / = %.2f .  / = %i %% ",
	    	i,  d, i2);
		if (i1==1) strcat(s, "");
		else strcat(s, "");
        	quick_message(s);
		break;
	}

}

void
on_button_window_editnumber_cancel_clicked (GtkButton       *button,
                                        gpointer         user_data)
{
    gtk_grab_remove(window_editnumber);
    gtk_widget_destroy(window_editnumber);
}




void
on_spinbutton_window_edit_number_changed
                                        (GtkEditable     *editable,
                                        gpointer         user_data)
{
	sscanf( gtk_entry_get_text(GTK_ENTRY(editable)), "%i", &editnumber);
}


/******************************************************************/
/*             Widget                */
/******************************************************************/

void
on_button_window_editline_ok_clicked   (GtkButton       *button,
                                        gpointer         user_data)
{
  switch (editprop){
  	case EDITLINE_TITLE: {
		if (!cbAddTitleLine(editline)) quick_message (GetErrorMsg());
		break;
	}
  	case EDITLINE_BOTTOM: {
		if (!cbAddBottomLine(editline)) quick_message (GetErrorMsg());
		break;
	}
 }//switch
  gtk_grab_remove(window_editline);
  gtk_widget_destroy(window_editline);

}

void
on_button_window_editline_cancel_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data)
{
    gtk_grab_remove(window_editline);
    gtk_widget_destroy(window_editline);
}

void
on_entry_editline_changed              (GtkEditable     *editable,
                                        gpointer         user_data)
{
	sscanf( gtk_entry_get_text(GTK_ENTRY(editable)), "%s", editline);
}


void
on_button_window_database_close_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data)
{
    gtk_grab_remove(window_database);
    gtk_widget_destroy(window_database);
}


void
on_radiobutton_window_checkparam_checktypesale_toggled
                                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
	if (gtk_toggle_button_get_active(togglebutton)) checktype=0;
}


void
on_radiobutton_window_checkparam_checktypereturn_toggled
                                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
	if (gtk_toggle_button_get_active(togglebutton)) checktype=1;
}


void
on_entrywindow_checkparam_nalsum_changed
                                        (GtkEditable     *editable,
                                        gpointer         user_data)
{
    sscanf(gtk_entry_get_text(GTK_ENTRY(editable)), "%f", &checknalsum);
}


void
on_checkbutton_window_checkparam_bezhal_toggled
                                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
	checknal = gtk_toggle_button_get_active(togglebutton);
}


void
on_spinbutton_window_checkparam_linetitlecount_changed
                                        (GtkEditable     *editable,
                                        gpointer         user_data)
{
	sscanf(gtk_entry_get_text(GTK_ENTRY(editable)), "%i", &salecountline);
}


void
on_spinbutton_window_checkparam_discount_changed
                                        (GtkEditable     *editable,
                                        gpointer         user_data)
{
	sscanf(gtk_entry_get_text(GTK_ENTRY(editable)), "%i", &checkdiscount);
}

